:-(clause(zawodnik(_,_,_),_); consult('pilkarze_bw.pl')).	

menu:-
		write('********************************************************'),nl,
		write('*                                                      *'),nl,
		write('*                PILKARZE                              *'),nl,
		write('*                                                      *'),nl,
		write('********************************************************'),nl,
		write('*	1. - przeglad bazy                                *'),nl,
		write('*    2. - dodawanie zawodnikow                         *'),nl,
		write('*    3. - aktualizacja danych                          *'),nl,
		write('*    4. - usuwanie zawodnikow                          *'),nl,
		write('*    5. - koniec pracy                                 *'),nl,
		write('********************************************************'),nl,
		nl,nl,
		write('wybor (zakonczony kropka): '),
		read(X), 
		menu1(X).
		
menu1(1):-
			nl,nl,
			write('podaj nazwisko zawodnika (zakonczone kropka): '),nl,
			read(Nazwisko),nl,
			!,
			wyszukaj(Nazwisko),
			dalej(Odp),
			(Odp = t, menu1(1) ; menu).

			
menu1(2):-
			nl,nl,
			write('podaj nazwisko zawodnika:'),
			read(Nazwisko),nl,
			write('podaj druzyne zawodnika:'),
			read(Druzyna),nl,
			write('podaj wzrost:'),
			read(Wzrost),nl,
			(zawodnik(Nazwisko,Druzyna,Wzrost), write('taki zawodnik juz istnieje'), nl ;
			assertz(zawodnik(Nazwisko,Druzyna,Wzrost)), write('zawodnik dodany')),
			dalej(Odp),
			(Odp = t, menu1(2) ; menu).

menu1(3):-
			nl,nl,
			write('podaj nazwisko zawodnika:'),
			read(Nazwisko),nl,
			(retract(zawodnik(Nazwisko,Druzyna, Wzrost)),
			write('podaj nowa druzyne:'),
			read(Druzyna_Nowa),nl,
			write('podaj nowy wzrost:'),
			read(Wzrost_Nowy),nl,
			assertz(zawodnik(Nazwisko,Druzyna_Nowa,Wzrost_Nowy)),
			write('dane zostaly zmienione!');
			nl,
			write('brak zawodnika w bazie')),
			dalej(Odp),
			(Odp = t, menu1(3) ; menu).
			

menu1(4):-
			nl,nl,
			write('podaj nazwisko zawodnika:'),
			read(Nazwisko),nl,
			(retract(zawodnik(Nazwisko,_,_)),
			write('zawodnik usuniety');
			nl,
			write('brak zawodnika w bazie')),
			dalej(Odp),
			(Odp = t, menu1(4) ; menu).

menu1(5):-		
			zapis_bazy,
			nl,
			retractall(zawodnik(_,_,_)),
			write('koniec pracy...'),
			nl,
			get0(_),
			halt.

menu1(_):-	
			nl,nl,
			write('bledny numer!'),
			nl,
			menu.

wyszukaj(Nazwisko):-
					not(zawodnik(Nazwisko, Druzyna, Wzrost)),
					write('brak zawodnika o takim nazwisku'),nl,
					!.

wyszukaj(Nazwisko):-
					zawodnik(Nazwisko, Druzyna, Wzrost),
					write('druzyna:'), write(Druzyna),
					nl,
					write('wzrost:'),write(Wzrost).
					
dalej(Odp):-
			nl,
			write('kontynuacja? t/n'),nl,
			read(Odp).
			
zapis_bazy:-
			tell('pilkarze_bw.pl'),
			write(':-dynamic zawodnik/3.'),nl,
			zapis,
			told.
zapis:-		
		zawodnik(Nazwisko, Druzyna, Wzrost),
		write(zawodnik(Nazwisko,Druzyna,Wzrost)),
		write(.),
		nl,
		fail.		
		
zapis.				